## mpi4py-fft 2.0.3

=== Makefile ===
VERSION=$(shell python3 -c "import mpi4py_fft; print(mpi4py_fft.__version__)")

default:
	python setup.py build_ext -i

pip:
	rm -f dist/*
	python setup.py sdist
	twine upload dist/*

tag:
	git tag $(VERSION)
	git push --tags

publish: tag pip

clean:
	git clean mpi4py_fft -fx
	cd docs && make clean && cd ..
	@rm -rf *.egg-info/ build/ dist/ .eggs/

=== requirements.txt ===
numpy
cython
mpi4py

## mpi4py-fft 2.0.0.doc0

=== debian/changelog ===
mpi4py-fft (2.0.0.doc0-1) unstable; urgency=medium

  * Initial release (Closes: #924299)
  * apply upstream patch setup_dirs-5f16822e.diff to set path to fftw
    shared libraries
  * debian patch orig_tarball_mismatch.patch works around dpkg-source
    error asserting false mismatch between source files and orig
    tarball 
  * Note that mpi4py-fft is built against the serial version of
    libfftw.so from libfftw3-dev. mpi4py-fft implements its own MPI
    parallelisation.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2019 02:56:44 +0800

=== debian/control ===
Source: mpi4py-fft
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
 dh-python,
 python3-all-dev,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 texinfo,
 libfftw3-dev,
 mpi-default-dev,
 python3-mpi4py,
 python3-numpy,
 cython3
Standards-Version: 4.3.0
Homepage: https://bitbucket.org/mpi4py/mpi4py-fft
Vcs-Browser: https://salsa.debian.org/science-team/mpi4py-fft
Vcs-Git: https://salsa.debian.org/science-team/mpi4py-fft.git

Package: python3-mpi4py-fft
Architecture: any
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-mpi4py-fft-doc
Description: a Python package for computing Fast Fourier Transforms (FFTs) with MPI
 mpi4py-fft is a Python package for computing Fast Fourier Transforms
 (FFTs). Large arrays are distributed and communications are handled
 under the hood by MPI for Python (mpi4py). To distribute large arrays
 we are using a new and completely generic algorithm that allows for
 any index set of a multidimensional array to be distributed. We can
 distribute just one index (a slab decomposition), two index sets
 (pencil decomposition) or even more for higher-dimensional arrays.
 .
 In mpi4py-fft there is also included a Python interface to the FFTW
 library. This interface can be used without MPI, much like pyfftw,
 and even for real-to-real transforms, like discrete cosine or sine
 transforms.
 .
 The package provides a Python interface to FFTW, but with MPI
 parallelisation. This enables strong scaling tested to 16000 cores,
 or weak scaling tested to 2000 cores. The algorithm is documented at
 https://arxiv.org/abs/1804.09536
 .
 This package installs the library for Python 3.

Package: python3-mpi4py-fft-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
Description: a Python package for computing Fast Fourier Transforms (FFTs) with MPI (docs)
 mpi4py-fft is a Python package for computing Fast Fourier Transforms
 (FFTs). Large arrays are distributed and communications are handled
 under the hood by MPI for Python (mpi4py). To distribute large arrays
 we are using a new and completely generic algorithm that allows for
 any index set of a multidimensional array to be distributed. We can
 distribute just one index (a slab decomposition), two index sets
 (pencil decomposition) or even more for higher-dimensional arrays.
 .
 In mpi4py-fft there is also included a Python interface to the FFTW
 library. This interface can be used without MPI, much like pyfftw,
 and even for real-to-real transforms, like discrete cosine or sine
 transforms.
 .
 The package provides a Python interface to FFTW, but with MPI
 parallelisation. This enables strong scaling tested to 16000 cores,
 or weak scaling tested to 2000 cores. The algorithm is documented at
 https://arxiv.org/abs/1804.09536
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=mpi4py-fft
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -q DEB_HOST_MULTIARCH)
export FFTW_LIBRARY_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml       docs/source build/html # HTML generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/source build/man # Manpage generator
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -btexinfo    docs/source build/texinfo # texinfo generator
	cd build/texinfo && make info
	sed "s|src=\"\(.*\).png\"|src=\"/usr/share/doc/python3-mpi4py-fft/html/_images/\1.png\"|g" -i build/texinfo/mpi4py-fft.info
	sed "s|src=\"\(.*\).svg\"|src=\"\"|g" -i build/texinfo/mpi4py-fft.info
	sed "s|alt=\"Documentation Status\" src=\"https://readthedocs.org/projects/mpi4py-fft/badge/?version=latest\"|alt=\"Latest Documentation\" src=\"\"|" -i build/html/*.html
	sed "s|src=\"https://circleci.com.*svg\"|src=\"\"|" -i build/html/*.html
	sed "s|src=\"https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/[Mm]ath[Jj]ax.js|src=\"/usr/share/javascript/mathjax/MathJax.js|" -i build/html/*.html

## mpi4py-fft 2.0.3

=== debian/changelog ===
mpi4py-fft (2.0.3-3build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:21:00 +0100

mpi4py-fft (2.0.3-3build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:52:25 +0000

mpi4py-fft (2.0.3-3) unstable; urgency=medium

  * set PYTHONPATH to pybuild build_dir when building docs
  * search html subdirs to replace MathJax.js

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2019 03:49:23 +0800

mpi4py-fft (2.0.3-2) unstable; urgency=medium

  * merge Build-Depends-Indep back into Build-Depends:
    always need sphinx to satisfy dh --with sphinx

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2019 02:11:17 +0800

mpi4py-fft (2.0.3-1) unstable; urgency=medium

  * New upstream release.
    - applies setup_dirs-5f16822e.diff to handle multiarch.
  * only build docs for binary-indep builds
  * Standards-Version: 4.4.0
  * Drop orig_tarball_mismatch.patch and override dh_auto_clean to
    remove precision-specific pyx files generated but not cleaned by
    generate_extensions(fftw_libs).
  * use Build-Depends-Indep for doc-building packages (sphinx, texinfo)

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2019 23:59:39 +0800

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 12),
+ cython3,
  dh-python,
+ libfftw3-dev,
+ mpi-default-dev,
  python3-all-dev,
  python3-setuptools,
+ python3-mpi4py,
+ python3-numpy,
  python3-sphinx,
  python3-sphinx-rtd-theme,
- texinfo,
- libfftw3-dev,
- mpi-default-dev,
- python3-mpi4py,
- python3-numpy,
- cython3
-Standards-Version: 4.3.0
+ texinfo
+Standards-Version: 4.4.0
 Homepage: https://bitbucket.org/mpi4py/mpi4py-fft
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py-fft
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py-fft.git

## mpi4py-fft 2.0.4

=== debian/changelog ===
mpi4py-fft (2.0.4-1) unstable; urgency=medium

  * New upstream release.
    - versioned Build-Depends: cython3 (>= 0.25~)
  * Standards-Version: 4.5.1
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Aug 2021 01:45:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
- cython3,
+Build-Depends: debhelper-compat (= 13),
+ cython3 (>= 0.25~),
  dh-python,
  libfftw3-dev,
  mpi-default-dev,
@@ -15,7 +15,7 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
  texinfo
-Standards-Version: 4.4.0
+Standards-Version: 4.5.1
 Homepage: https://bitbucket.org/mpi4py/mpi4py-fft
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py-fft
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py-fft.git

=== debian/watch ===
version=4

# get source from the upstream site rather than pypi.org
# since the pypi tarball does not include docs

opts="filenamemangle=s%.*get/(\d[\d.]*)\.tar\.bz2%mpi4py-fft-$1.tar.bz2%" \
https://bitbucket.org/mpi4py/mpi4py-fft/downloads/?tab=tags \
  /mpi4py/mpi4py-fft/get/([\d\.]+)\.tar\.bz2 debian uupdate

## mpi4py-fft 2.0.5

=== debian/changelog ===
mpi4py-fft (2.0.5-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:36:50 +0000

mpi4py-fft (2.0.5-2) unstable; urgency=medium

  * Build-Depends: cython3-legacy. Closes: #1056822.

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Jan 2024 15:01:46 +0100

mpi4py-fft (2.0.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository.

  [ Drew Parsons ]
  * update upstream source to https://github.com/mpi4py/mpi4py-fft
  * New upstream release.
  * debian/control: move libjs-mathjax, python3-sphinx-rtd-theme,
    texinfo <!nodoc> to Build-Depends-Indep field.
  * add debian patches
    - docs_local_mathjax.patch uses local mathjax script
    - test_netcdf_no_parallel.patch skips netcdf io tests since
      debian's netcdf is built against serial HDF5 with no parallel io
  * mark python3-mpi4py-fft-doc Multi-Arch: foreign
  * debian/rules: augment dh rules with execute_after_
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Jun 2023 19:42:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cython3 (>= 0.25~),
+ cython3-legacy (>= 0.25~),
  dh-python,
  libfftw3-dev,
  mpi-default-dev,
@@ -13,10 +13,12 @@
  python3-mpi4py,
  python3-numpy,
  python3-sphinx,
- python3-sphinx-rtd-theme,
- texinfo
-Standards-Version: 4.5.1
-Homepage: https://bitbucket.org/mpi4py/mpi4py-fft
+Build-Depends-Indep:
+ libjs-mathjax <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ texinfo <!nodoc>
+Standards-Version: 4.6.2
+Homepage: https://github.com/mpi4py/mpi4py-fft
 Vcs-Browser: https://salsa.debian.org/science-team/mpi4py-fft
 Vcs-Git: https://salsa.debian.org/science-team/mpi4py-fft.git
 
@@ -47,6 +49,7 @@
 
 Package: python3-mpi4py-fft-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-mathjax, ${sphinxdoc:Depends}, ${misc:Depends}
 Description: a Python package for computing Fast Fourier Transforms (FFTs) with MPI (docs)

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=mpi4py-fft
export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -q DEB_HOST_MULTIARCH)

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild


execute_after_dh_auto_build-indep:
	PYTHONPATH=`pybuild --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -bhtml       docs/source build/html # HTML generator
	PYTHONPATH=`pybuild --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/source build/man # Manpage generator
	PYTHONPATH=`pybuild --print {build_dir}` http_proxy='127.0.0.1:9' sphinx-build -N -btexinfo    docs/source build/texinfo # texinfo generator
	cd build/texinfo && make info
	sed "s|src=\"\(.*\).png\"|src=\"/usr/share/doc/python3-mpi4py-fft/html/_images/\1.png\"|g" -i build/texinfo/mpi4py-fft.info
	sed "s|src=\"\(.*\).svg\"|src=\"\"|g" -i build/texinfo/mpi4py-fft.info
	sed "s|alt=\"Documentation Status\" src=\"https://readthedocs.org/projects/mpi4py-fft/badge/?version=latest\"|alt=\"Latest Documentation\" src=\"\"|" -i build/html/*.html
	sed "s|src=\"https://circleci.com.*svg\"|src=\"\"|" -i build/html/*.html

execute_after_dh_auto_clean:
	rm -f mpi4py_fft/fftw/fftwf* mpi4py_fft/fftw/fftwl*

## mpi4py-fft 2.0.6

=== Makefile ===
VERSION=$(shell python3 -c "import mpi4py_fft; print(mpi4py_fft.__version__)")

default:
	python setup.py build build_ext -i

pip:
	rm -f dist/*
	python setup.py sdist
	twine upload dist/*

tag:
	git tag $(VERSION)
	git push --tags

publish: tag pip

clean:
	git clean -dxf mpi4py_fft
	cd docs && make clean && cd ..
	@rm -rf *.egg-info/ build/ dist/ .eggs/

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = mpi4py-fft
SOURCEDIR     = source
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

doctest:
	@$(SPHINXBUILD) -b doctest "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
mpi4py-fft (2.0.6-2) unstable; urgency=medium

  * add numpy3 to dh rules for numpy ABI. Thanks Adrian Bunk.
    Closes: #1098971.

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 Feb 2025 16:31:41 +0100

mpi4py-fft (2.0.6-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.0.6
  * Switch back to cython3.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Aug 2024 22:48:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cython3-legacy (>= 0.25~),
+ cython3,
  dh-python,
  libfftw3-dev,
  mpi-default-dev,

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/mpi4py/mpi4py-fft/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
